Bug 516355 - newest mock not working on RHEL5
newest mock not working on RHEL5
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Clark Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-08 11:35 EDT by Florian La Roche
Modified: 2013-01-10 00:23 EST (History)
3 users (show)

See Also:
Fixed In Version: mock-1.1.10-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-07 19:24:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to conditionalize inclusion of uuid package (1.35 KB, patch)
2009-08-10 13:10 EDT, Clark Williams
no flags Details | Diff

  None (edit)
Description Florian La Roche 2009-08-08 11:35:42 EDT
Description of problem:
Running the newest upstream sources does not work on RHEL5 as "import uuid"
does not work. Either this lib should be packaged or the code should be added
conditionalized.

Seems this patch is adding the uuid dependency:
http://git.fedorahosted.org/git/?p=mock.git;a=commitdiff;h=2046136e9f984d844021b3f8521d66a0ac056571

regards,

Florian La Roche



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Clark Williams 2009-08-10 13:09:15 EDT
Thanks Florian, I put that uuid stuff in for:

     https://bugzilla.redhat.com/show_bug.cgi?id=460574

And didn't test on RHEL. I've attached a patch that I believe will make it work on RHEL again. After a bit of testing I'll do another spin.
Comment 2 Clark Williams 2009-08-10 13:10:58 EDT
Created attachment 356925 [details]
patch to conditionalize inclusion of uuid package

This patch tries to include the uuid python package and steers around any code which uses it if the import fails.
Comment 3 Florian La Roche 2009-08-11 04:19:56 EDT
Hallo Clark Williams,

thanks a lot for the patch and the fast turnaround on it.

BZ can be closed for me, I'll watch out for newer mock releases,
Thanks,

Florian La Roche
Comment 4 Florian La Roche 2009-11-08 13:28:35 EST
Hello Clark,

seems this patch has never shown up in the
mock source code. Didn't you want to commit
this one?

regards,

Florian La Roche
Comment 5 Clark Williams 2009-11-09 14:09:01 EST
Hi Florian,

oh I have it in my git tree, I just neglected to push a build. ARRGGHH. 

I'll get with Jesse to make sure I'm not losing any updates since then and get a build into rawhide. 

Clark
Comment 6 Bug Zapper 2009-11-16 06:17:59 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Fedora Update System 2009-11-16 18:38:27 EST
mock-0.9.20-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/mock-0.9.20-1.el5
Comment 8 Fedora Update System 2009-11-16 18:38:32 EST
mock-0.9.20-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mock-0.9.20-1.fc10
Comment 9 Fedora Update System 2009-11-16 18:38:37 EST
mock-0.9.20-1.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/mock-0.9.20-1.el4
Comment 10 Fedora Update System 2009-11-16 18:38:41 EST
mock-0.9.20-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mock-0.9.20-1.fc11
Comment 11 Fedora Update System 2009-11-17 18:09:42 EST
mock-0.9.20-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mock-0.9.20-1.fc12
Comment 12 Fedora Update System 2009-11-18 09:13:33 EST
mock-0.9.20-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mock'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-11677
Comment 13 Fedora Update System 2009-11-18 09:17:00 EST
mock-0.9.20-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mock'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-11700
Comment 14 Fedora Update System 2009-11-18 15:19:15 EST
mock-0.9.20-1.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mock'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-4/FEDORA-EPEL-2009-0850
Comment 15 Fedora Update System 2009-11-18 15:20:53 EST
mock-0.9.20-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mock'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0857
Comment 16 Fedora Update System 2009-11-20 00:38:12 EST
mock-0.9.20-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mock'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11870
Comment 17 Fedora Update System 2010-08-03 18:24:59 EDT
mock-1.1.3-1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/mock-1.1.3-1.fc14
Comment 18 Fedora Update System 2010-08-03 18:25:51 EDT
mock-1.1.3-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/mock-1.1.3-1.fc13
Comment 19 Fedora Update System 2010-08-03 18:28:51 EDT
mock-1.0.10-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/mock-1.0.10-1.el5
Comment 20 Fedora Update System 2010-08-03 18:29:55 EDT
mock-1.0.10-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mock-1.0.10-1.fc12
Comment 21 Fedora Update System 2010-08-04 19:04:26 EDT
mock-1.0.10-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mock'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mock-1.0.10-1.el5
Comment 22 Fedora Update System 2010-08-05 10:22:14 EDT
mock-1.1.3-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mock'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mock-1.1.3-1.fc14
Comment 23 Fedora Update System 2010-08-05 19:35:57 EDT
mock-1.1.3-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mock'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mock-1.1.3-1.fc13
Comment 24 Fedora Update System 2010-08-05 19:37:28 EDT
mock-1.0.10-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mock'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mock-1.0.10-1.fc12
Comment 25 Fedora Update System 2010-08-07 19:23:34 EDT
mock-1.1.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Fedora Update System 2010-08-19 13:21:37 EDT
mock-1.1.4-1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/mock-1.1.4-1.fc14
Comment 27 Fedora Update System 2010-08-19 13:22:43 EDT
mock-1.1.4-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/mock-1.1.4-1.fc13
Comment 28 Fedora Update System 2010-08-19 13:33:32 EDT
mock-1.0.11-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mock-1.0.11-1.fc12
Comment 29 Fedora Update System 2010-08-19 13:34:49 EDT
mock-1.0.11-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/mock-1.0.11-1.el5
Comment 30 Fedora Update System 2010-08-23 17:58:40 EDT
mock-1.1.4-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 31 Fedora Update System 2010-08-23 21:28:56 EDT
mock-1.1.4-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 32 Fedora Update System 2010-08-25 21:03:41 EDT
mock-1.0.11-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 33 Fedora Update System 2010-09-20 10:43:39 EDT
mock-1.0.12-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/mock-1.0.12-1.fc12
Comment 34 Fedora Update System 2010-09-20 10:45:11 EDT
mock-1.0.12-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.12-1.el5
Comment 35 Fedora Update System 2010-10-20 11:45:33 EDT
mock-1.0.13-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.13-1.el5
Comment 36 Fedora Update System 2010-10-20 11:47:42 EDT
mock-1.0.13-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/mock-1.0.13-1.fc12
Comment 37 Fedora Update System 2010-12-14 11:15:42 EST
mock-1.0.14-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.14-1.el5
Comment 38 Fedora Update System 2011-01-18 15:05:58 EST
mock-1.0.15-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.15-1.el5
Comment 39 Fedora Update System 2011-02-19 21:28:07 EST
mock-1.1.9-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mock-1.1.9-1.fc13
Comment 40 Fedora Update System 2011-02-19 21:31:08 EST
mock-1.0.16-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.16-1.el5
Comment 41 Fedora Update System 2011-02-19 21:33:54 EST
mock-1.1.9-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.9-1.el6
Comment 42 Fedora Update System 2011-02-19 21:36:44 EST
mock-1.1.9-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mock-1.1.9-1.fc14
Comment 43 Fedora Update System 2011-03-03 03:27:05 EST
mock-1.1.9-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 44 Fedora Update System 2011-03-03 03:35:36 EST
mock-1.1.9-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 45 Fedora Update System 2011-05-13 16:36:03 EDT
mock-1.1.10-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mock-1.1.10-1.fc15
Comment 46 Fedora Update System 2011-05-13 16:40:16 EDT
mock-1.1.10-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mock-1.1.10-1.fc14
Comment 47 Fedora Update System 2011-05-13 16:44:31 EDT
mock-1.0.17-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.17-1.el5
Comment 48 Fedora Update System 2011-05-13 16:48:49 EDT
mock-1.1.10-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mock-1.1.10-1.fc13
Comment 49 Fedora Update System 2011-05-13 16:53:13 EDT
mock-1.1.10-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.10-1.el6
Comment 50 Fedora Update System 2011-05-19 00:37:24 EDT
mock-1.1.10-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 51 Fedora Update System 2011-05-24 22:44:38 EDT
mock-1.1.10-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 52 Fedora Update System 2011-05-24 23:18:44 EDT
mock-1.1.10-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 53 Fedora Update System 2011-06-02 15:08:48 EDT
mock-1.0.17-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 54 Fedora Update System 2011-06-02 15:18:38 EDT
mock-1.1.10-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.